diff --git a/scripts/deploy_beta6_to_target.sh b/scripts/deploy_beta6_to_target.sh
new file mode 100755
index 0000000..afb7dcd
--- /dev/null
+++ b/scripts/deploy_beta6_to_target.sh
@@ -0,0 +1,157 @@
+#!/bin/bash
+#
+# QSJNIC v1.0.0-beta6 车机部署与验证脚本
+# 适用: 支持 adb root + remount 的 userdebug/eng 车机
+# 目标 IP: 192.168.0.66
+#
+
+set -euo pipefail
+
+TARGET_IP="192.168.0.66"
+RELEASE_DIR="$(cd "$(dirname "$0")/../release/v1.0.0-beta6" && pwd)"
+SERVICE_APK="${RELEASE_DIR}/qsmw-service.apk"
+DEMO_OTA="${RELEASE_DIR}/qsmw-ota-demo.apk"
+DEMO_RADIO="${RELEASE_DIR}/qsmw-radio-demo.apk"
+DEMO_VEHICLE="${RELEASE_DIR}/qsmw-vehicle-demo.apk"
+
+RED='\033[0;31m'
+GREEN='\033[0;32m'
+YELLOW='\033[1;33m'
+NC='\033[0m' # No Color
+
+info()  { echo -e "${GREEN}[INFO]${NC} $*"; }
+warn()  { echo -e "${YELLOW}[WARN]${NC} $*"; }
+error() { echo -e "${RED}[ERROR]${NC} $*"; }
+
+# ----------------------- 前置检查 -----------------------
+info "检查 release 产物..."
+for f in "$SERVICE_APK" "$DEMO_OTA" "$DEMO_RADIO" "$DEMO_VEHICLE"; do
+    if [[ ! -f "$f" ]]; then
+        error "文件不存在: $f"
+        exit 1
+    fi
+done
+info "release 产物齐全"
+
+info "连接车机 ${TARGET_IP}..."
+adb connect "${TARGET_IP}" >/dev/null 2>&1 || true
+adb -s "${TARGET_IP}:5555" wait-for-device
+
+DEVICE_STATUS=$(adb -s "${TARGET_IP}:5555" get-state)
+if [[ "$DEVICE_STATUS" != "device" ]]; then
+    error "adb 状态异常: ${DEVICE_STATUS}"
+    exit 1
+fi
+info "adb 已连接: ${TARGET_IP}"
+
+# ----------------------- 提权 & remount -----------------------
+info "执行 adb root..."
+adb -s "${TARGET_IP}:5555" root >/dev/null 2>&1
+sleep 2
+adb -s "${TARGET_IP}:5555" wait-for-device
+
+info "执行 adb remount..."
+if ! adb -s "${TARGET_IP}:5555" remount >/dev/null 2>&1; then
+    error "remount 失败，该车机可能不支持写入 /system 分区"
+    error "请确认是 userdebug/eng 版本，或已执行 'adb disable-verity' 并重启"
+    exit 1
+fi
+info "remount 成功"
+
+# ----------------------- 部署 Service -----------------------
+info "部署 qsmw-service.apk 到 /system/priv-app/QsmwService/..."
+adb -s "${TARGET_IP}:5555" shell "mkdir -p /system/priv-app/QsmwService"
+
+# 如果已存在旧版本，先备份（可选）
+OLD_APK=$(adb -s "${TARGET_IP}:5555" shell "ls /system/priv-app/QsmwService/*.apk 2>/dev/null" | tr -d '\r')
+if [[ -n "$OLD_APK" ]]; then
+    warn "发现旧版本: ${OLD_APK}，正在替换..."
+    adb -s "${TARGET_IP}:5555" shell "rm -f ${OLD_APK}"
+fi
+
+adb -s "${TARGET_IP}:5555" push "${SERVICE_APK}" /system/priv-app/QsmwService/qsmw-service.apk
+adb -s "${TARGET_IP}:5555" shell "chmod 644 /system/priv-app/QsmwService/qsmw-service.apk"
+info "Service 部署完成"
+
+# ----------------------- 安装 Demo (user 0) -----------------------
+install_demo() {
+    local apk_path="$1"
+    local pkg_name="$2"
+    local demo_name="$3"
+
+    info "安装 ${demo_name}..."
+    
+    # 如果已安装，先卸载
+    if adb -s "${TARGET_IP}:5555" shell "pm list packages --user 0 ${pkg_name}" | grep -q "${pkg_name}"; then
+        warn "${pkg_name} 已存在于 user 0，先卸载旧版本..."
+        adb -s "${TARGET_IP}:5555" shell "pm uninstall --user 0 ${pkg_name}" >/dev/null 2>&1 || true
+    fi
+
+    adb -s "${TARGET_IP}:5555" install -r --user 0 "${apk_path}"
+    info "${demo_name} 安装完成"
+}
+
+install_demo "${DEMO_OTA}"     "com.qsjnic.demo.ota"     "OTA Demo"
+install_demo "${DEMO_RADIO}"   "com.qsjnic.demo.radio"   "Radio Demo"
+install_demo "${DEMO_VEHICLE}" "com.qsjnic.demo.vehicle" "Vehicle Demo"
+
+# ----------------------- 重启 -----------------------
+warn "即将重启车机以加载系统级 Service..."
+sleep 2
+adb -s "${TARGET_IP}:5555" reboot
+
+info "已发送重启指令，等待设备重新上线..."
+sleep 10
+adb -s "${TARGET_IP}:5555" wait-for-device
+info "车机已重新上线"
+
+# ----------------------- 验证阶段 -----------------------
+info "========== 开始验证 =========="
+
+# 1. 校验包版本
+info "[验证1/6] 检查 Service 包信息..."
+adb -s "${TARGET_IP}:5555" shell "dumpsys package com.qsjnic.mcu.service | grep -E 'versionCode|versionName'" || {
+    error "无法获取 Service 包信息，可能未正确安装"
+    exit 1
+}
+
+# 2. 校验预置路径
+info "[验证2/6] 检查预置路径..."
+adb -s "${TARGET_IP}:5555" shell "ls -lZ /system/priv-app/QsmwService/"
+
+# 3. 校验权限声明
+info "[验证3/6] 检查权限声明..."
+adb -s "${TARGET_IP}:5555" shell "dumpsys package com.qsjnic.mcu.service | grep -A2 'cn.qsjnic.permission.MCU_ACCESS'" || warn "未找到权限声明（可能不影响）"
+
+# 4. 检查 demo 是否在 user 0
+info "[验证4/6] 检查 Demo 应用安装状态（user 0）..."
+for pkg in com.qsjnic.demo.ota com.qsjnic.demo.radio com.qsjnic.demo.vehicle; do
+    if adb -s "${TARGET_IP}:5555" shell "pm list packages --user 0 ${pkg}" | grep -q "${pkg}"; then
+        info "  ✓ ${pkg}"
+    else
+        error "  ✗ ${pkg} 未安装"
+    fi
+done
+
+# 5. 检查服务是否运行
+info "[验证5/6] 检查服务进程..."
+adb -s "${TARGET_IP}:5555" shell "ps -A | grep -E 'qsjnic|mcu' || echo '(暂无进程，可能尚未自启)'"
+
+# 6. 抓取相关日志
+info "[验证6/6] 抓取最近 30 秒 Mcu 相关日志..."
+adb -s "${TARGET_IP}:5555" logcat -d -t 30s --pid=$(adb -s "${TARGET_IP}:5555" shell "pidof com.qsjnic.mcu.service 2>/dev/null || echo ''") 2>/dev/null | tail -20 || {
+    adb -s "${TARGET_IP}:5555" logcat -d -t 30s | grep -iE 'QsMcuSystemService|McuLink|qsjnic' | tail -20 || true
+}
+
+info "========== 部署与验证完成 =========="
+echo ""
+echo "手动测试建议:"
+echo "  1. 打开 Vehicle Demo 验证车辆信息/Key 域方控接口"
+echo "  2. 打开 Radio Demo 验证收音机接口"
+echo "  3. 打开 OTA Demo 验证 OTA 升级接口"
+echo "  4. 实时观察日志: adb -s ${TARGET_IP}:5555 logcat | grep -iE 'QsMcuSystemService|McuLink|qsjnic'"
+echo ""
+echo "注意: 当前 APK 使用 sim.jks (debug) 签名，非 platform 签名。"
+echo "      如遇到 SELinux 拒绝或 system_app 权限不足，请联系系统工程师确认:"
+echo "      - /dev/ttyS7 的权限和 SELinux 标签"
+echo "      - 是否需要使用 platform 签名重新签名"
diff --git a/scripts/generate_release_readme.py b/scripts/generate_release_readme.py
new file mode 100644
index 0000000..8088f2c
--- /dev/null
+++ b/scripts/generate_release_readme.py
@@ -0,0 +1,246 @@
+#!/usr/bin/env python3
+"""Generate release/README.md from actual artifacts in a release directory.
+
+Usage:
+    python3 scripts/generate_release_readme.py <release_dir> [version_name] [version_code]
+"""
+
+import hashlib
+import os
+import sys
+import datetime
+
+FILES = [
+    ("qsmw-service.apk", "MCU SystemService APK，用于系统集成"),
+    ("qsmw-sdk.aar", "业务应用侧 SDK 二进制包"),
+    ("qsmw-contract.aar", "AIDL / Parcelable 契约二进制包"),
+    ("qsmw-demos.zip", "Android Studio 示例工程源码包，包含 vehicle、radio、ota 三个接入示例"),
+    ("qsmw-ota-demo.apk", "OTA 示例应用 APK，基于 qsmw-demos.zip 中的 ota-demo 工程构建"),
+    ("qsmw-radio-demo.apk", "Radio 示例应用 APK，基于 qsmw-demos.zip 中的 radio-demo 工程构建"),
+    ("qsmw-vehicle-demo.apk", "Vehicle/Key 示例应用 APK，基于 qsmw-demos.zip 中的 vehicle-demo 工程构建"),
+]
+
+STATIC_DOC_DESCRIPTION = "APP 开发对接文档（Markdown 版本）"
+
+
+def sha256_file(path: str) -> str:
+    h = hashlib.sha256()
+    with open(path, "rb") as f:
+        while True:
+            chunk = f.read(8192)
+            if not chunk:
+                break
+            h.update(chunk)
+    return h.hexdigest()
+
+
+def main() -> int:
+    if len(sys.argv) < 2:
+        print(f"Usage: {sys.argv[0]} <release_dir> [version_name] [version_code]", file=sys.stderr)
+        return 1
+
+    release_dir = sys.argv[1]
+    version_name = sys.argv[2] if len(sys.argv) > 2 else "1.0.0-beta7"
+    version_code = sys.argv[3] if len(sys.argv) > 3 else "107"
+
+    doc_name = f"QSJNIC_MCU_SDK_开发对接文档_v{version_name}.md"
+
+    static_files = [
+        (doc_name, STATIC_DOC_DESCRIPTION),
+        ("API_REFERENCE.md", "SDK 接口与回调说明"),
+        ("INTEGRATION_GUIDE.md", "系统集成步骤与验证命令"),
+        ("INTERFACE_CONSISTENCY_REPORT.md", "协议/代码/文档一致性修订报告"),
+        ("RELEASE_INFO.txt", "构建元数据与 SHA-256"),
+        ("SHA256SUMS.txt", "校验文件"),
+        ("VERSION.txt", "版本文件"),
+        ("changes.patch", "自上一版本以来的完整代码变更 diff"),
+    ]
+
+    key_sha_files = [
+        "qsmw-service.apk",
+        "qsmw-sdk.aar",
+        "qsmw-contract.aar",
+        "qsmw-demos.zip",
+        "qsmw-ota-demo.apk",
+        "qsmw-radio-demo.apk",
+        "qsmw-vehicle-demo.apk",
+        doc_name,
+        "API_REFERENCE.md",
+        "INTERFACE_CONSISTENCY_REPORT.md",
+        "changes.patch",
+    ]
+
+    # AGP / SDK versions are read from the project root.
+    project_root = os.path.join(os.path.dirname(__file__), "..")
+    agp = "8.8.2"
+    compile_sdk = "34"
+    min_sdk = "26"
+    try:
+        toml = os.path.join(project_root, "gradle", "libs.versions.toml")
+        with open(toml, "r", encoding="utf-8") as f:
+            for line in f:
+                line = line.strip()
+                if line.startswith("agp") and "=" in line:
+                    agp = line.split("=")[-1].strip().strip('"')
+                elif line.startswith("compileSdk") and "=" in line:
+                    compile_sdk = line.split("=")[-1].strip().strip('"')
+                elif line.startswith("minSdk") and "=" in line:
+                    min_sdk = line.split("=")[-1].strip().strip('"')
+    except Exception:
+        pass
+
+    file_entries = []
+    latest_mtime = 0.0
+    for name, desc in FILES + static_files:
+        path = os.path.join(release_dir, name)
+        if os.path.exists(path):
+            size = os.path.getsize(path)
+            mtime = os.path.getmtime(path)
+            if mtime > latest_mtime:
+                latest_mtime = mtime
+            sha = sha256_file(path)
+            file_entries.append((name, size, desc, sha))
+
+    tz = datetime.timezone(datetime.timedelta(hours=8))
+    build_time = datetime.datetime.fromtimestamp(latest_mtime, tz=tz).isoformat()
+
+    sha_map = {name: sha for name, _, _, sha in file_entries}
+
+    lines = [
+        "# QSJNIC MCU SystemService 交付说明",
+        "",
+        f"本目录为 `{version_name}` 对外交付产物集合。交付内容包含运行时二进制包、SDK 二进制包、接口契约二进制包、示例工程源码包及必要的集成说明文档。除 `qsmw-demos.zip` 中的示例工程源码外，不包含 SystemService、SDK、Contract 的实现源码或内部发版流程文档。",
+        "",
+        "## 版本信息",
+        "",
+        f"- 版本号：`{version_name}`",
+        f"- Service `versionCode`：`{version_code}`",
+        f"- Service `versionName`：`{version_name}`",
+        f"- 构建时间：`{build_time}`",
+        f"- AGP：`{agp}`",
+        f"- compileSdk：`{compile_sdk}`",
+        f"- minSdk：`{min_sdk}`",
+        "",
+        "## 交付清单",
+        "",
+        "| 文件 | 大小 | 说明 |",
+        "|---|---:|---|",
+    ]
+    for name, size, desc, _ in file_entries:
+        lines.append(f"| `{name}` | {size:,} bytes | {desc} |")
+
+    lines += [
+        "",
+        "> 注：`qsmw-demos.zip` 中同时包含示例工程源码，各示例工程已内置本版本 `qsmw-sdk.aar` 与 `qsmw-contract.aar`。",
+        "",
+        "`qsmw-demos.zip` 为交付用示例源码包，内部包含可直接导入 Android Studio 的示例工程。除该示例源码包外，交付目录不包含其他 Java/Kotlin/C/C++ 源码、Gradle 工程文件或内部版本管理文档。",
+        "",
+        "## 校验信息",
+        "",
+        "关键产物 SHA-256：",
+        "",
+        "```text",
+    ]
+    present_key_files = [name for name in key_sha_files if name in sha_map]
+    for name in present_key_files:
+        lines.append(f"{name:<48} {sha_map[name]}")
+    checksum_cmd = "shasum -a 256 " + " ".join(present_key_files)
+    lines += [
+        "```",
+        "",
+        "校验命令：",
+        "",
+        "```bash",
+        checksum_cmd,
+        "```",
+        "",
+        "## 签名说明",
+        "",
+        "本版本仓库构建统一使用 `docs/keystore/sim.jks` 签名，保证 `qsmw-service.apk` 与相关验证包使用一致的签名体系。",
+        "",
+        "证书 SHA-256：",
+        "",
+        "```text",
+        "c8a2e9bccf597c2fb6dc66bee293fc13f2fc47ec77bc6b2b0d52c11f51192ab8",
+        "```",
+        "",
+        "如最终系统镜像要求 platform 签名，应在甲方系统构建流程中对 `qsmw-service.apk` 重新签名后再预置。",
+        "",
+        "## 构建质量",
+        "",
+        "本版本在打包前已通过自动化单元测试门禁，覆盖 `service` 模块核心 Java 逻辑：",
+        "",
+        "- McuBinder 参数边界与链路状态测试",
+        "- UpgradeManager 状态机与参数校验测试",
+        "- KeyInjector 按键映射与事件注入测试",
+        "- Feature 状态同步与并发安全测试",
+        "- BootCompletedReceiver 生命周期测试",
+        "",
+        "测试命令：",
+        "",
+        "```bash",
+        "./gradlew :service:testDebugUnitTest",
+        "```",
+        "",
+        "`assembleRelease` 已自动依赖上述测试任务，每次 release 构建前会自动执行。",
+        "",
+        "## 系统集成",
+        "",
+        "1. 将 `qsmw-service.apk` 预置到 `/system/priv-app/QsmwService/QsmwService.apk`",
+        "2. 确认 `/dev/ttyS7` 的 Linux 权限、SELinux 策略和服务启动策略已配置完成",
+        "3. 如需 platform 签名，先完成重签，再纳入系统镜像",
+        "4. 参考 `INTEGRATION_GUIDE.md` 完成安装、启动和权限验证",
+        "5. 参考 `API_REFERENCE.md` 完成业务接口对接",
+        "",
+        "> **beta6 变更提示**：本版本在 `service/AndroidManifest.xml` 中为 `QsMcuSystemService` 和 `BootCompletedReceiver` 增加了 `android:singleUser=\"true\"`，确保服务仅在 user 0 中运行，防止多用户场景下串口竞争。",
+        ">",
+        "> **beta7 变更提示**：Key 域键值定义从 MC3 标准切换为帕杰罗映射表（Key.xlsx \"其它项目\"），新增 5 个扩展键值（0x0E/0x0F/0x18/0x19/0x25），校验范围放宽至 0x00-0x25。配套 MCU 固件更新至 PAJERO69XZA0120018 (SW: 0302_20260527)。",
+        "",
+        "## 业务应用接入",
+        "",
+        "1. 将 `qsmw-sdk.aar` 与 `qsmw-contract.aar` 放入业务工程 `libs/`",
+        "2. 在业务工程中配置 `implementation(fileTree(\"libs\"))`",
+        "3. 在业务应用 `AndroidManifest.xml` 中声明：",
+        "",
+        "```xml",
+        '<uses-permission android:name="cn.qsjnic.permission.MCU_ACCESS" />',
+        "```",
+        "",
+        "4. 业务应用需使用与 SystemService 兼容的签名策略，否则受 `signature|privileged` 权限限制，可能无法绑定服务",
+        "",
+        "## 示例工程",
+        "",
+        "`qsmw-demos.zip` 包含以下 Android Studio 示例工程源码：",
+        "",
+        "1. `vehicle-demo`：车辆信息与 Key 域方控接口示例",
+        "2. `radio-demo`：收音机接口示例",
+        "3. `ota-demo`：OTA 接口示例",
+        "",
+        "各示例工程已内置本版本交付的 `qsmw-sdk.aar` 与 `qsmw-contract.aar`，用于验证 SDK 接入方式和基础调用流程。",
+        "",
+        "`qsmw-ota-demo.apk`、`qsmw-radio-demo.apk`、`qsmw-vehicle-demo.apk` 分别为三个示例工程的 release 构建产物，包名分别为 `com.qsjnic.demo.ota`、`com.qsjnic.demo.radio`、`com.qsjnic.demo.vehicle`，版本均为 `0.1.0`，使用 `docs/keystore/sim.jks` 签名。",
+        "",
+        "## 验收建议",
+        "",
+        "系统集成完成后，建议按以下顺序验证：",
+        "",
+        f"1. 校验 APK 版本：`versionCode={version_code}`，`versionName={version_name}`",
+        "2. 校验预置路径：`/system/priv-app/QsmwService/QsmwService.apk`",
+        "3. 校验权限声明：`cn.qsjnic.permission.MCU_ACCESS`",
+        "4. 校验串口权限：`/dev/ttyS7`",
+        "5. 启动服务并检查 `QsMcuSystemService`、`McuLink` 相关日志",
+        "",
+        "具体命令见 `INTEGRATION_GUIDE.md`。",
+        "",
+    ]
+
+    out_path = os.path.join(release_dir, "README.md")
+    with open(out_path, "w", encoding="utf-8") as f:
+        f.write("\n".join(lines))
+
+    print(f"Generated {out_path}")
+    return 0
+
+
+if __name__ == "__main__":
+    sys.exit(main())
diff --git a/scripts/serial_test.py b/scripts/serial_test.py
new file mode 100644
index 0000000..aa872f4
--- /dev/null
+++ b/scripts/serial_test.py
@@ -0,0 +1,136 @@
+#!/usr/bin/env python3
+"""串口测试脚本 - 连接MCU调试串口并执行KeyTest命令"""
+
+import sys
+import time
+
+try:
+    import serial
+except ImportError:
+    print("缺少 pyserial，请先安装: pip3 install pyserial")
+    sys.exit(1)
+
+SERIAL_PORT = "/dev/cu.usbmodem21302"
+BAUDRATE = 921600
+
+def main():
+    print("=" * 60)
+    print(f"串口测试工具")
+    print(f"端口: {SERIAL_PORT}")
+    print(f"波特率: {BAUDRATE}")
+    print("=" * 60)
+
+    try:
+        ser = serial.Serial(
+            port=SERIAL_PORT,
+            baudrate=BAUDRATE,
+            bytesize=serial.EIGHTBITS,
+            parity=serial.PARITY_NONE,
+            stopbits=serial.STOPBITS_ONE,
+            timeout=0.1,
+            write_timeout=1.0
+        )
+    except serial.SerialException as e:
+        print(f"\n❌ 无法打开串口: {e}")
+        sys.exit(1)
+
+    print(f"\n✅ 串口已打开: {SERIAL_PORT}")
+    ser.flushInput()
+    ser.flushOutput()
+
+    # 阶段1: 先监听几秒，看看MCU是否有主动输出
+    print("\n📥 阶段1: 监听MCU是否有主动输出 (3秒)...")
+    print("-" * 50)
+    data1 = bytearray()
+    start = time.time()
+    while time.time() - start < 3.0:
+        chunk = ser.read(1024)
+        if chunk:
+            data1.extend(chunk)
+            for b in chunk:
+                print(f"0x{b:02X} ", end="", flush=True)
+        else:
+            time.sleep(0.05)
+    print("\n" + "-" * 50)
+    if data1:
+        print(f"✅ 收到 {len(data1)} 字节数据")
+        # 尝试解码为ASCII看看
+        try:
+            ascii_text = data1.decode('ascii', errors='replace')
+            if any(c.isprintable() for c in ascii_text):
+                print(f"ASCII内容: {ascii_text.strip()}")
+        except:
+            pass
+    else:
+        print("⚠️  未收到任何数据")
+        print("   可能原因: MCU未上电 / 接线错误 / 波特率不对 / 串口被占用")
+
+    # 阶段2: 发送 KeyTest 按下命令
+    print("\n📤 阶段2: 发送 KeyTest 命令 (下一曲 按下)...")
+    ser.flushInput()
+    cmd = b"KeyTest 1 0x0F 0x01\r\n"
+    ser.write(cmd)
+    print(f"发送: {cmd.strip().decode()}")
+    time.sleep(0.3)
+
+    print("-" * 50)
+    data2 = bytearray()
+    start = time.time()
+    while time.time() - start < 2.0:
+        chunk = ser.read(1024)
+        if chunk:
+            data2.extend(chunk)
+            for b in chunk:
+                print(f"0x{b:02X} ", end="", flush=True)
+        else:
+            time.sleep(0.05)
+    print("\n" + "-" * 50)
+    if data2:
+        print(f"✅ 收到 {len(data2)} 字节响应")
+        try:
+            ascii_text = data2.decode('ascii', errors='replace')
+            if any(c.isprintable() for c in ascii_text):
+                print(f"ASCII内容: {ascii_text.strip()}")
+        except:
+            pass
+    else:
+        print("⚠️  未收到响应")
+
+    # 阶段3: 发送 KeyTest 弹起命令
+    print("\n📤 阶段3: 发送 KeyTest 命令 (下一曲 弹起)...")
+    ser.flushInput()
+    cmd = b"KeyTest 1 0x0F 0x00\r\n"
+    ser.write(cmd)
+    print(f"发送: {cmd.strip().decode()}")
+    time.sleep(0.3)
+
+    print("-" * 50)
+    data3 = bytearray()
+    start = time.time()
+    while time.time() - start < 2.0:
+        chunk = ser.read(1024)
+        if chunk:
+            data3.extend(chunk)
+            for b in chunk:
+                print(f"0x{b:02X} ", end="", flush=True)
+        else:
+            time.sleep(0.05)
+    print("\n" + "-" * 50)
+    if data3:
+        print(f"✅ 收到 {len(data3)} 字节响应")
+        try:
+            ascii_text = data3.decode('ascii', errors='replace')
+            if any(c.isprintable() for c in ascii_text):
+                print(f"ASCII内容: {ascii_text.strip()}")
+        except:
+            pass
+    else:
+        print("⚠️  未收到响应")
+
+    ser.close()
+    print("\n" + "=" * 60)
+    print("串口已关闭")
+    print("=" * 60)
+
+if __name__ == "__main__":
+    main()
diff --git a/sdk/src/main/java/com/qsjnic/mcu/sdk/KeyListener.java b/sdk/src/main/java/com/qsjnic/mcu/sdk/KeyListener.java
new file mode 100644
index 0000000..70f161b
--- /dev/null
+++ b/sdk/src/main/java/com/qsjnic/mcu/sdk/KeyListener.java
@@ -0,0 +1,6 @@
+package com.qsjnic.mcu.sdk;
+
+/** Listener for the independent Key domain (msgType 0x02). */
+public interface KeyListener {
+    default void onKeyEvent(int keyValue, int keyStatus) {}
+}
diff --git a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuClient.java b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuClient.java
index e422080..06cdacd 100644
--- a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuClient.java
+++ b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuClient.java
@@ -50,11 +50,19 @@ public final class McuClient {
     private final CopyOnWriteArrayList<ReadyListener> readyListeners = new CopyOnWriteArrayList<>();
 
     private final McuVehicleClient  vehicle  = new McuVehicleClient(this);
+    private final McuKeyClient      key      = new McuKeyClient(this);
     private final McuRadioClient    radio    = new McuRadioClient(this);
     private final McuUpgradeClient  upgrade  = new McuUpgradeClient(this);
 
     private Context     appContext;
     private IMcuService service;
+    private int bindPackageIndex = 0;
+
+    private static final String[] SERVICE_PACKAGES = {
+            McuServiceManager.SERVICE_PACKAGE,
+            McuServiceManager.SERVICE_PACKAGE + ".dev",
+            McuServiceManager.SERVICE_PACKAGE + ".test"
+    };
 
     /** Re-register unified frame listener after reconnect. */
     private volatile boolean frameListenerRegistered = false;
@@ -147,12 +155,14 @@ public final class McuClient {
         if (ctx == null) return;
 
         Intent i = new Intent(McuServiceManager.SERVICE_INTENT_ACTION);
-        i.setPackage(McuServiceManager.SERVICE_PACKAGE);
+        String pkg = SERVICE_PACKAGES[bindPackageIndex % SERVICE_PACKAGES.length];
+        i.setPackage(pkg);
         boolean ok = ctx.bindService(i, conn, Context.BIND_AUTO_CREATE);
         Log.i(TAG, "bindService(" + McuServiceManager.SERVICE_INTENT_ACTION
-                + " pkg=" + McuServiceManager.SERVICE_PACKAGE + ") -> " + ok);
+                + " pkg=" + pkg + ") -> " + ok);
         if (!ok) {
             // Service may not yet be installed/refreshed; retry shortly.
+            bindPackageIndex++;
             mainHandler.postDelayed(this::bind, 2000);
         }
     }
@@ -164,6 +174,9 @@ public final class McuClient {
     /** Vehicle / Public domain Facade. */
     public McuVehicleClient vehicle() { return vehicle; }
 
+    /** Key domain Facade. */
+    public McuKeyClient key() { return key; }
+
     /** Radio domain Facade. */
     public McuRadioClient radio() { return radio; }
 
diff --git a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuKeyClient.java b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuKeyClient.java
new file mode 100644
index 0000000..b9e7b74
--- /dev/null
+++ b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuKeyClient.java
@@ -0,0 +1,116 @@
+package com.qsjnic.mcu.sdk;
+
+import android.os.RemoteException;
+import android.util.Log;
+
+import androidx.annotation.NonNull;
+import androidx.annotation.Nullable;
+
+import com.qsjnic.mcu.contract.IMcuKeyListener;
+import com.qsjnic.mcu.contract.IMcuService;
+import com.qsjnic.mcu.contract.McuErrorCode;
+import com.qsjnic.mcu.domain.Cmds;
+import com.qsjnic.mcu.domain.Commands;
+import com.qsjnic.mcu.domain.MsgType;
+
+import java.util.concurrent.CopyOnWriteArrayList;
+
+/** Key domain facade (msgType 0x02). */
+public final class McuKeyClient {
+
+    private static final String TAG = "McuKeyClient";
+
+    // Pajero SWC key values (Key.xlsx "其它项目" mapping)
+    public static final int KEY_VALUE_NONE            = 0x00;
+    public static final int KEY_VALUE_POWER           = 0x01;
+    public static final int KEY_VALUE_HOME            = 0x02;
+    public static final int KEY_VALUE_VOICE           = 0x03;
+    public static final int KEY_VALUE_MUSIC           = 0x04;
+    public static final int KEY_VALUE_RADIO           = 0x05;
+    public static final int KEY_VALUE_TEL             = 0x06;
+    public static final int KEY_VALUE_TFT             = 0x07;
+    public static final int KEY_VALUE_VOL_DEC         = 0x08;
+    public static final int KEY_VALUE_VOL_INC         = 0x09;
+    public static final int KEY_VALUE_MUTE            = 0x0C;
+    public static final int KEY_VALUE_MODE            = 0x0D;
+    public static final int KEY_VALUE_PREV            = 0x0E;
+    public static final int KEY_VALUE_NEXT            = 0x0F;
+    public static final int KEY_VALUE_ANSWER          = 0x18;
+    public static final int KEY_VALUE_REJECT          = 0x19;
+    public static final int KEY_VALUE_CAMERA          = 0x25;
+
+    public static final int KEY_STATUS_RELEASE       = 0x00;
+    public static final int KEY_STATUS_SHORT_PRESS   = 0x01;
+    public static final int KEY_STATUS_STUCK         = 0x02;
+    public static final int KEY_STATUS_ENCODER_LEFT  = 0x03;
+    public static final int KEY_STATUS_ENCODER_RIGHT = 0x04;
+
+    private final McuClient parent;
+    private final CopyOnWriteArrayList<KeyListener> javaListeners = new CopyOnWriteArrayList<>();
+
+    private final IMcuKeyListener.Stub aidlListener = new IMcuKeyListener.Stub() {
+        @Override public void onKeyEvent(int keyValue, int keyStatus) {
+            for (KeyListener l : javaListeners) safe(() -> l.onKeyEvent(keyValue, keyStatus));
+        }
+    };
+
+    private boolean registeredWithService = false;
+
+    McuKeyClient(@NonNull McuClient parent) {
+        this.parent = parent;
+        parent.addReadyListener(this::onServiceReady);
+    }
+
+    private void onServiceReady() {
+        registeredWithService = false;
+        if (!javaListeners.isEmpty()) ensureRegistered();
+    }
+
+    private void ensureRegistered() {
+        if (registeredWithService) return;
+        IMcuService svc = parent.getServiceUnchecked();
+        if (svc == null) return;
+        try {
+            svc.registerKeyListener(aidlListener);
+            registeredWithService = true;
+            Log.i(TAG, "registered key listener with Service");
+        } catch (RemoteException e) {
+            Log.e(TAG, "registerKeyListener failed", e);
+        }
+    }
+
+    public void addListener(@NonNull KeyListener l) {
+        javaListeners.add(l);
+        ensureRegistered();
+    }
+
+    public void removeListener(@Nullable KeyListener l) {
+        if (l != null) javaListeners.remove(l);
+    }
+
+    public int sendKeyEvent(int keyValue, int keyStatus) {
+        IMcuService svc = parent.getServiceUnchecked();
+        if (svc == null) return McuErrorCode.ERR_SERVICE;
+        try {
+            return svc.sendKeyEvent(keyValue, keyStatus);
+        } catch (RemoteException e) {
+            return McuErrorCode.ERR_LINK_DOWN;
+        }
+    }
+
+    public int postKeyEvent(int keyValue, int keyStatus) {
+        try {
+            if (parent.getServiceUnchecked() == null) return McuErrorCode.ERR_SERVICE;
+            parent.postCommand(MsgType.KEY, Cmds.Key.A2M_KEY, Commands.Key.key(keyValue, keyStatus));
+            return McuErrorCode.OK;
+        } catch (IllegalArgumentException e) {
+            return McuErrorCode.ERR_INVALID_ARG;
+        }
+    }
+
+    private interface SafeCall { void run(); }
+
+    private static void safe(SafeCall call) {
+        try { call.run(); } catch (Throwable t) { Log.w(TAG, "KeyListener threw", t); }
+    }
+}
diff --git a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuRadioClient.java b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuRadioClient.java
index 9b3bb3c..51b9e06 100644
--- a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuRadioClient.java
+++ b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuRadioClient.java
@@ -103,9 +103,13 @@ public final class McuRadioClient {
     }
 
     public int setBand(int band) {
+        return setBand(band, 0);
+    }
+
+    public int setBand(int band, int freq) {
         IMcuService s = parent.getServiceUnchecked();
         if (s == null) return McuErrorCode.ERR_SERVICE;
-        try { return s.setBand(band); } catch (RemoteException e) { return McuErrorCode.ERR_LINK_DOWN; }
+        try { return s.setBandWithFreq(band, freq); } catch (RemoteException e) { return McuErrorCode.ERR_LINK_DOWN; }
     }
 
     public int setFrequency(int freq) {
diff --git a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuUpgradeClient.java b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuUpgradeClient.java
index 53b2aba..d53e078 100644
--- a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuUpgradeClient.java
+++ b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuUpgradeClient.java
@@ -127,9 +127,13 @@ public final class McuUpgradeClient {
     }
 
     public int sendBootUpgradeChecksum(int checksum) {
+        return McuErrorCode.ERR_INVALID_ARG;
+    }
+
+    public int sendBootUpgradeChecksumMd5(byte[] md5) {
         IMcuService svc = parent.getServiceUnchecked();
         if (svc == null) return -4;
-        try { return svc.sendBootUpgradeChecksum(checksum); }
+        try { return svc.sendBootUpgradeChecksumMd5(md5); }
         catch (RemoteException e) { return McuErrorCode.ERR_LINK_DOWN; }
     }
 
diff --git a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuVehicleClient.java b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuVehicleClient.java
index 33e46c8..d534aa2 100644
--- a/sdk/src/main/java/com/qsjnic/mcu/sdk/McuVehicleClient.java
+++ b/sdk/src/main/java/com/qsjnic/mcu/sdk/McuVehicleClient.java
@@ -283,9 +283,13 @@ public final class McuVehicleClient {
     }
 
     public int requestTripClear() {
+        return requestTripClear(1);
+    }
+
+    public int requestTripClear(int type) {
         IMcuService svc = parent.getServiceUnchecked();
         if (svc == null) return -4;
-        try { return svc.requestTripClear(); }
+        try { return svc.requestTripClearType(type); }
         catch (RemoteException e) { return McuErrorCode.ERR_LINK_DOWN; }
     }
 
@@ -310,6 +314,13 @@ public final class McuVehicleClient {
         catch (RemoteException e) { return McuErrorCode.ERR_LINK_DOWN; }
     }
 
+    public int setGpsInfoFull(int moduleStatus, int lonPpm, int lonStatus, int latPpm, int latStatus) {
+        IMcuService svc = parent.getServiceUnchecked();
+        if (svc == null) return -4;
+        try { return svc.setGpsInfoFull(moduleStatus, lonPpm, lonStatus, latPpm, latStatus); }
+        catch (RemoteException e) { return McuErrorCode.ERR_LINK_DOWN; }
+    }
+
     public int setTotalMiles(int milesTenthKm) {
         IMcuService svc = parent.getServiceUnchecked();
         if (svc == null) return -4;
diff --git a/service/build.gradle.kts b/service/build.gradle.kts
index c44ed7e..0d74151 100644
--- a/service/build.gradle.kts
+++ b/service/build.gradle.kts
@@ -1,5 +1,3 @@
-import java.util.Properties
-
 plugins {
     alias(libs.plugins.android.application)
 }
@@ -8,17 +6,12 @@ android {
     namespace = "com.qsjnic.mcu.service"
     compileSdk = libs.versions.compileSdk.get().toInt()
 
-    val releaseProps = Properties().apply {
-        rootProject.file("keystore/release.properties").takeIf { it.exists() }
-            ?.inputStream()?.use { load(it) }
-    }
-
     defaultConfig {
         applicationId = "com.qsjnic.mcu.service"
         minSdk = libs.versions.minSdk.get().toInt()
         targetSdk = libs.versions.targetSdk.get().toInt()
-        versionCode = 104
-        versionName = "1.0.0-beta4"
+        versionCode = 107
+        versionName = "1.0.0-beta7"
 
         ndk {
             // Target only the device's actual ABI to keep APK small and
@@ -42,18 +35,10 @@ android {
 
     signingConfigs {
         create("sharedDebug") {
-            storeFile = file("../keystore/qsjnic_debug.jks")
-            storePassword = "qsjnic123"
-            keyAlias = "qsjnic_debug"
-            keyPassword = "qsjnic123"
-        }
-        if (releaseProps.isNotEmpty()) {
-            create("releaseSign") {
-                storeFile = rootProject.file(releaseProps["RELEASE_STORE_FILE"] as String)
-                storePassword = releaseProps["RELEASE_STORE_PASSWORD"] as String
-                keyAlias = releaseProps["RELEASE_KEY_ALIAS"] as String
-                keyPassword = releaseProps["RELEASE_KEY_PASSWORD"] as String
-            }
+            storeFile = rootProject.file("docs/keystore/sim.jks")
+            storePassword = "android"
+            keyAlias = "android_key"
+            keyPassword = "android"
         }
     }
 
@@ -65,8 +50,7 @@ android {
         }
         release {
             isMinifyEnabled = false
-            signingConfig = signingConfigs.findByName("releaseSign")
-                ?: signingConfigs.getByName("sharedDebug")
+            signingConfig = signingConfigs.getByName("sharedDebug")
             proguardFiles(getDefaultProguardFile("proguard-android-optimize.txt"), "proguard-rules.pro")
         }
     }
